
This defined type allows you to configure OIM , oim server, design or remote configuration. Here is an example on how you could use this:

```
ora_install::utils::oimconfig{ 'oimDomain':
  version                 => 1112,
  oim_home                => '/opt/oracle/middleware11g/Oracle_IDM1',
  server_config           => true,
  oim_password            => 'Welcome01',
  remote_config           => false,
  keystore_password       => 'Welcome01',
  design_config           => false,
  oimserver_hostname      => 'oim1admin.example.com',
  oimserver_port          => '14000',
  repository_database_url => "oimdb.example.com:1521:oimrepos.example.com",
  repository_prefix       => "DEV",
  repository_password     => "Welcome01",
}
```

<%- include_attributes [
  :version,
  :oim_home,
  :server_config,
  :oim_password,
  :remote_config,
  :keystore_password,
  :design_config,
  :oimserver_hostname,
  :oimserver_port,
  :soaserver_name,
  :oimserver_name,
  :bi_enabled,
  :bi_cluster_name,
  :repository_database_url,
  :repository_prefix,
  :repository_password,
  :jdk_home_dir,
  :weblogic_home_dir,
  :middleware_home_dir,
  :wls_domains_dir,
  :domain_name,
  :adminserver_name,
  :adminserver_address,
  :adminserver_port,
  :nodemanager_port,
  :weblogic_user,
  :weblogic_password,
  :os_user,
  :os_group,
  :download_dir,
  :logoutput,
  :log_output
]%>
