---
title: opatch
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview

This is the Oracle Patch process called OPatch

## Attributes



Attribute Name                                             | Short Description                   |
---------------------------------------------------------- | ----------------------------------- |
[ensure](#opatch_ensure)                                   | Whether a patch should be applied.  |
[extracted_patch_dir](#opatch_extracted_patch_dir)         | The extracted patch folder.         |
[jdk_home_dir](#opatch_jdk_home_dir)                       | The JDK home folder.                |
[name](#opatch_name)                                       | The name of the OPatch.             |
[oracle_product_home_dir](#opatch_oracle_product_home_dir) | The oracle product home folder.     |
[orainst_dir](#opatch_orainst_dir)                         | The orainst folder.                 |
[os_user](#opatch_os_user)                                 | The weblogic operating system user. |
[provider](#opatch_provider)                               | resource.                           |




### ensure<a name='opatch_ensure'>

Whether a patch should be applied.

Valid values are `present` (also called `installed`), `absent` (also called `purged`). 

[Back to overview of opatch](#attributes)

### extracted_patch_dir<a name='opatch_extracted_patch_dir'>

The extracted patch folder.



[Back to overview of opatch](#attributes)

### jdk_home_dir<a name='opatch_jdk_home_dir'>

The JDK home folder.



[Back to overview of opatch](#attributes)

### name<a name='opatch_name'>

The name of the OPatch.



[Back to overview of opatch](#attributes)

### oracle_product_home_dir<a name='opatch_oracle_product_home_dir'>

The oracle product home folder.



[Back to overview of opatch](#attributes)

### orainst_dir<a name='opatch_orainst_dir'>

The orainst folder.



[Back to overview of opatch](#attributes)

### os_user<a name='opatch_os_user'>

The weblogic operating system user.



[Back to overview of opatch](#attributes)

### provider<a name='opatch_provider'>

The specific backend to use for this `opatch`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

opatch
: 



[Back to overview of opatch](#attributes)
