This defined type allows you add or remove BSU patches to a WebLogic system. Here is an example on how you could use this:

```puppet
orawls::bsu {'BYJ1':
  ensure                  => "present",
  middleware_home_dir     => "/opt/oracle/middleware11gR1",
  weblogic_home_dir       => "/opt/oracle/middleware11gR1/wlserver",
  jdk_home_dir            => "/usr/java/jdk1.7.0_45",
  patch_id                => "BYJ1",
  patch_file              => "p17071663_1036_Generic.zip",
  os_user                 => "oracle",
  os_group                => "dba",
  download_dir            => "/data/install",
  source                  => "/vagrant",
}
```

<%- include_attributes [
  :ensure,
  :version,
  :weblogic_home_dir,
  :jdk_home_dir,
  :patch_id,
  :patch_file,
  :os_user,
  :os_group,
  :download_dir,
  :source,
  :logoutput,
  :log_output,
  :remote_file,
]%>
