This defined type allows you change a log folder location of a FMW server. Here is an example on how you could use this:

```puppet
wls_install::fmwlogdir{'AdminServer':
  middleware_home_dir    => "/opt/oracle/middleware11gR1",
  weblogic_user          => "weblogic",
  weblogic_password      => "weblogic1",
  os_user                => "oracle",
  os_group               => "dba",
  download_dir           => "/data/install"
  log_dir                => "/var/log/weblogic"
  adminserver_address    => "localhost",
  adminserver_port       => 7001,
  server                 => "AdminServer",
}
```
```

 
 <%- include_attributes [
  :middleware_home_dir,
  :adminserver_address,
  :adminserver_port,
  :weblogic_user,
  :weblogic_password,
  :user_config_file,
  :user_key_file,
  :userConfigFile,
  :userKeyFile,
  :os_user,
  :os_group,
  :download_dir,
  :server,
  :log_dir,
  :logoutput,
  :log_output,
 ]%>
