
This defined type allows you to add the nodemanager startup scripts to the system. Here is an example on how you could use this:

```puppet
ora_install::support::nodemanagerautostart{"autostart ${wlsDomainName}":
  version      => 1212,
  wl_home      => '/opt/oracle/middleware12c/wlserver',
  user         => 'oracle',
  domain       => 'Wls1212',
  domain_path  => '/opt/oracle/middleware12c/user_projects/domains/Wls1212'
```

<%- include_attributes [
  :version,
  :wl_home,
  :user,
  :domain,
  :domain_path,
  :log_dir,
  :jsse_enabled,
  :custom_trust,
  :trust_keystore_file,
  :trust_keystore_passphrase,
  :systemd_script_location
]%>
