
This defined type allows you pack the definition of your domain into a file. Using ora_install::copydomain, you can copy it to an other node and create a WebLogic cluster.

Here is an example on how you could use this:

```puppet
ora_install::packdomain{"Wls12c":
  weblogic_home_dir      => "/opt/oracle/middleware12c/wlserver",
  middleware_home_dir    => "/opt/oracle/middleware12c",
  jdk_home_dir           => "/usr/java/jdk1.7.0_45",
  wls_domains_dir        => "/opt/oracle/domains",
  domain_name            => "Wls12c",
  os_user                => "oracle",
  os_group               => "dba",
  download_dir           => "/data/install",
}
```

<%- include_attributes [
  :version,
  :weblogic_home_dir,
  :middleware_home_dir,
  :jdk_home_dir,
  :wls_domains_dir,
  :domain_name,
  :os_user,
  :os_group,
  :download_dir,
  :logoutput,
  :log_output
]%>
