This defined type allows you to create a user config for WLST , this way you don't need to know the weblogic password. Here is an example on how you could use this:

```puppet
ora_install::storeuserconfig{'Wls12c':
  domain_name                => "Wls12c",
  adminserver_address        => "localhost",
  adminserver_port           => 7001,
  weblogic_password          => "weblogic1",
  user_config_dir            => '/home/oracle',
  log_output                 => false,
}
```

<%- include_attributes [
  :domain_name,
  :weblogic_home_dir,
  :jdk_home_dir,
  :adminserver_address,
  :adminserver_port,
  :user_config_dir,
  :weblogic_user,
  :weblogic_password,
  :os_user,
  :os_group,
  :download_dir,
  :logoutput,
  :log_output,
  :remote_file
]%>
