#
# See the file "LICENSE" for the full license governing this code.
#
#++--++
#--++--
class wls_install::ords::software(
  String[1]                            $version,
  String[1]                            $source,
  String[1]                            $file,
  Stdlib::Absolutepath                 $ords_home,
  Variant[Enum['on_failure'], Boolean] $logoutput       = 'on_failure',    # Output of the execs
){
  wls_install::ords::software_version { $version:
    source    => $source,
    file      => $file,
    ords_home => $ords_home,
    logoutput => $logoutput,
  }
}
